# -*- coding: utf-8 -*-
from __future__ import annotations

import pydantic

from hotpocket_common.constants import AssociationsSearchMode

from .base import BrowseParams as BaseBrowseParams


class BrowseParams(BaseBrowseParams):
    limit: int = pydantic.Field(default=12)
    mode: AssociationsSearchMode = pydantic.Field(default=AssociationsSearchMode.DEFAULT)
